%define upstream_name 	 XML-DT
%define upstream_version 0.68

%define req_xml_libxml_version %perl_convert_version 1.54

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A perl XML down translate module
License:    GPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(LWP::Simple) >= 1.350.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.400.0
BuildRequires: perl(XML::DTDParser) >= 2.0.0
BuildRequires: perl(XML::LibXML) >= 1.540.0
BuildRequires: perl(parent)
BuildArch:  noarch

Requires:   perl-XML-LibXML >= %{req_xml_libxml_version}
%description
The XML::DT module is a perl module that does XML down translation.
Based on XML::LibXML, it is designed to perform simple and
compact translation/processing of XML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
chmod 755 examples/*.pl
%__perl Makefile.PL INSTALLDIRS=vendor <<EOF
XML::LibXML
EOF
%make

rm -f t/pod.t
%{__make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/XML

%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.680.0-4pclos2017
- rebuild against updates

